package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商户权益次数记录对象 interests_number_table
 * 
 * @author ruoyi
 * @date 2022-07-08
 */
public class InterestsNumberTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /***映射主键id**/
    private Long numberId;

    /** 权益id */
    @Excel(name = "权益id")
    private Long interestsId;

    /** 权益等级 */
    @Excel(name = "权益等级")
    private String rightsRank;

    /** 权益次数 */
    @Excel(name = "权益次数")
    private Long number;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setInterestsId(Long interestsId) 
    {
        this.interestsId = interestsId;
    }

    public Long getInterestsId() 
    {
        return interestsId;
    }
    public void setRightsRank(String rightsRank) 
    {
        this.rightsRank = rightsRank;
    }

    public String getRightsRank() 
    {
        return rightsRank;
    }
    public void setNumber(Long number) 
    {
        this.number = number;
    }

    public Long getNumber() 
    {
        return number;
    }

    public Long getNumberId() {
        return numberId;
    }

    public void setNumberId(Long numberId) {
        this.numberId = numberId;
    }

    @Override
    public String toString() {
        return "InterestsNumberTable{" +
                "id=" + id +
                ", numberId=" + numberId +
                ", interestsId=" + interestsId +
                ", rightsRank='" + rightsRank + '\'' +
                ", number=" + number +
                '}';
    }
}
